Liens
GET https://k.aws.bj/api/links/
curl --request GET \
--url 'https://k.aws.bj/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | Texte de recherche. |
| search_by | Optionnel Chaîne | Champ de recherche. Valeurs : url, location_url. |
| is_enabled | Optionnel Booléen | |
| project_id | Optionnel Entier | |
| domain_id | Optionnel Entier | |
| type | Optionnel Chaîne |
biolink, link, walink, file, vcard, event, static |
| datetime_field | Optionnel Chaîne | Valeurs : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Début (format d-m-Y H:i:s). |
| datetime_end | Optionnel Chaîne | Fin (format d-m-Y H:i:s). |
| order_by | Optionnel Chaîne | Champ de tri. Valeurs : link_id, datetime, last_datetime, clicks, url. |
| order_type | Optionnel Chaîne | Ordre : ASC (croissant) ou DESC (décroissant). |
| page | Optionnel Entier | Numéro de page. Par défaut : 1. |
| results_per_page | Optionnel Entier | Résultats par page. Valeurs : 10, 25, 50, 100, 250, 500, 1000. Défaut : 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-13 23:50:12",
},
{
"id": 2,
"project_id": null,
"domain_id": 0,
"type": "walink",
"url": "promo-wa",
"location_url": "https://wa.me/22990000000?text=Hello",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 3,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-13 23:50:12",
} ],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 2,
"total_pages": 1
},
"links": {
"first": "https://k.aws.bj/api/links?page=1",
"last": "https://k.aws.bj/api/links?page=1",
"next": null,
"prev": null,
"self": "https://k.aws.bj/api/links?page=1"
}
}
GET https://k.aws.bj/api/links/{link_id}
curl --request GET \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-13 23:50:12",
}
}
POST https://k.aws.bj/api/links
| Paramètres | Détails | Description |
|---|---|---|
| type | Optionnel Chaîne | link |
| location_url | Obligatoire Chaîne | URL de destination.Disponible si : is_bulk = 0 |
| location_urls | Obligatoire Chaîne | URL de destination.Disponible si : is_bulk = 1 |
| url | Optionnel Chaîne | Alias de l’URL générée. Laissez vide pour un alias aléatoire.Disponible si : is_bulk = 0 |
| is_bulk | Optionnel Booléen | |
| domain_id | Optionnel Entier | - |
| project_id | Optionnel Entier | - |
| pixels_ids | Optionnel Tableau Entier | - |
| email_reports | Optionnel Tableau | IDs des canaux |
| schedule | Optionnel Booléen | - |
| start_date | Optionnel Chaîne | Disponible si : schedule = true |
| end_date | Optionnel Chaîne | Disponible si : schedule = true |
| clicks_limit | Optionnel Entier | - |
| expiration_url | Optionnel Chaîne | - |
| sensitive_content | Optionnel Booléen | - |
| http_status_code | Optionnel Entier | Valeurs : 301, 302, 307, 308 |
| app_linking_is_enabled | Optionnel Booléen | - |
| cloaking_is_enabled | Optionnel Booléen | - |
| cloaking_title | Optionnel Chaîne | - |
| cloaking_meta_description | Optionnel Chaîne | - |
| cloaking_custom_js | Optionnel Chaîne | - |
| cloaking_favicon | Optionnel Fichier | - |
| cloaking_opengraph | Optionnel Fichier | - |
| password | Optionnel Chaîne | - |
| forward_query_parameters_is_enabled | Optionnel Booléen | - |
| seo_block | Optionnel Booléen | - |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| targeting_type | Optionnel Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionnel Chaîne | Disponible si : targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionnel Chaîne | Disponible si : targeting_type = continent_code |
| targeting_country_code_key[index] | Optionnel Chaîne | Disponible si : targeting_type = country_code |
| targeting_country_code_value[index] | Optionnel Chaîne | Disponible si : targeting_type = country_code |
| targeting_city_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = city_name |
| targeting_city_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = city_name |
| targeting_device_type_key[index] | Optionnel Chaîne | Disponible si : targeting_type = device_type |
| targeting_device_type_value[index] | Optionnel Chaîne | Disponible si : targeting_type = device_type |
| targeting_browser_language_key[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_language |
| targeting_rotation_key[index] | Optionnel Chaîne | Disponible si : targeting_type = rotation |
| targeting_rotation_value[index] | Optionnel Chaîne | Disponible si : targeting_type = rotation |
| targeting_os_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = os_name |
| targeting_os_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = os_name |
| targeting_browser_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_name |
curl --request POST \
--url 'https://k.aws.bj/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://k.aws.bj/' \
--url 'https://k.aws.bj/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://k.aws.bj/' \
{
"data": {
"id": 1
}
}
POST https://k.aws.bj/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Optionnel Chaîne | URL de destination. |
| url | Optionnel Chaîne | Alias de l’URL générée. Laissez vide pour un alias aléatoire. |
| domain_id | Optionnel Entier | - |
| project_id | Optionnel Entier | - |
| pixels_ids | Optionnel Tableau Entier | - |
| email_reports | Optionnel Tableau | IDs des canaux |
| schedule | Optionnel Booléen | - |
| start_date | Optionnel Chaîne | Disponible si : schedule = true |
| end_date | Optionnel Chaîne | Disponible si : schedule = true |
| clicks_limit | Optionnel Entier | - |
| expiration_url | Optionnel Chaîne | - |
| sensitive_content | Optionnel Booléen | - |
| http_status_code | Optionnel Entier | Valeurs : 301, 302, 307, 308 |
| app_linking_is_enabled | Optionnel Booléen | - |
| cloaking_is_enabled | Optionnel Booléen | - |
| cloaking_title | Optionnel Chaîne | - |
| cloaking_meta_description | Optionnel Chaîne | - |
| cloaking_custom_js | Optionnel Chaîne | - |
| cloaking_favicon | Optionnel Fichier | - |
| cloaking_opengraph | Optionnel Fichier | - |
| password | Optionnel Chaîne | - |
| forward_query_parameters_is_enabled | Optionnel Booléen | - |
| seo_block | Optionnel Booléen | - |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| targeting_type | Optionnel Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionnel Chaîne | Disponible si : targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionnel Chaîne | Disponible si : targeting_type = continent_code |
| targeting_country_code_key[index] | Optionnel Chaîne | Disponible si : targeting_type = country_code |
| targeting_country_code_value[index] | Optionnel Chaîne | Disponible si : targeting_type = country_code |
| targeting_city_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = city_name |
| targeting_city_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = city_name |
| targeting_device_type_key[index] | Optionnel Chaîne | Disponible si : targeting_type = device_type |
| targeting_device_type_value[index] | Optionnel Chaîne | Disponible si : targeting_type = device_type |
| targeting_browser_language_key[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_language |
| targeting_rotation_key[index] | Optionnel Chaîne | Disponible si : targeting_type = rotation |
| targeting_rotation_value[index] | Optionnel Chaîne | Disponible si : targeting_type = rotation |
| targeting_os_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = os_name |
| targeting_os_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = os_name |
| targeting_browser_name_key[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionnel Chaîne | Disponible si : targeting_type = browser_name |
curl --request POST \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://k.aws.bj/api/links/{link_id}
curl --request DELETE \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \